<?php

namespace Modules\User\Interfaces;

use Illuminate\Http\Request;
use Modules\User\Models\Module;

interface ModuleRepositoryInterface
{
    public function get(array $request);

    public function getItemByPath(array $content);

    public function checkModuleAccess(int $module_id , int $user_id);
}
